Cupti: CUpti_ActivityCdpKernel Struct Reference

# CUpti_ActivityCdpKernel Struct Reference
[CUPTI Activity API]

The activity record for CDP (CUDA Dynamic Parallelism) kernel. More...

## Data Fields
int32_t | blockX
int32_t | blockY
int32_t | blockZ
uint64_t | completed
uint32_t | contextId
uint32_t | correlationId
uint32_t | deviceId
int32_t | dynamicSharedMemory
uint64_t | end
int64_t | gridId
int32_t | gridX
int32_t | gridY
int32_t | gridZ
CUpti_ActivityKind | kind
uint32_t | localMemoryPerThread
uint32_t | localMemoryTotal
const char * | name
uint32_t | parentBlockX
uint32_t | parentBlockY
uint32_t | parentBlockZ
int64_t | parentGridId
uint64_t | queued
uint16_t | registersPerThread
uint8_t | sharedMemoryConfig
uint64_t | start
int32_t | staticSharedMemory
uint32_t | streamId
uint64_t | submitted
uint8_t | executed:4
uint8_t | requested:4

## Detailed Description

This activity record represents a CDP kernel execution.

## Field Documentation

int32_t CUpti_ActivityCdpKernel::blockX

The X-dimension block size for the kernel.

int32_t CUpti_ActivityCdpKernel::blockY

The Y-dimension block size for the kernel.

int32_t CUpti_ActivityCdpKernel::blockZ

The Z-dimension grid size for the kernel.

uint64_t CUpti_ActivityCdpKernel::completed

The timestamp when kernel is marked as completed, in ns. A value of CUPTI_TIMESTAMP_UNKNOWN indicates that the completion time is unknown.

uint32_t CUpti_ActivityCdpKernel::contextId

The ID of the context where the kernel is executing.

uint32_t CUpti_ActivityCdpKernel::correlationId

The correlation ID of the kernel. Each kernel execution is assigned a unique correlation ID that is identical to the correlation ID in the driver API activity record that launched the kernel.

uint32_t CUpti_ActivityCdpKernel::deviceId

The ID of the device where the kernel is executing.

int32_t CUpti_ActivityCdpKernel::dynamicSharedMemory

The dynamic shared memory reserved for the kernel, in bytes.

uint64_t CUpti_ActivityCdpKernel::end

The end timestamp for the kernel execution, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the kernel.

uint8_t CUpti_ActivityCdpKernel::executed

The cache configuration used for the kernel. The value is one of the CUfunc_cache enumeration values from cuda.h.

int64_t CUpti_ActivityCdpKernel::gridId

The grid ID of the kernel. Each kernel execution is assigned a unique grid ID.

int32_t CUpti_ActivityCdpKernel::gridX

The X-dimension grid size for the kernel.

int32_t CUpti_ActivityCdpKernel::gridY

The Y-dimension grid size for the kernel.

int32_t CUpti_ActivityCdpKernel::gridZ

The Z-dimension grid size for the kernel.

CUpti_ActivityKind CUpti_ActivityCdpKernel::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_CDP_KERNEL

uint32_t CUpti_ActivityCdpKernel::localMemoryPerThread

The amount of local memory reserved for each thread, in bytes.

uint32_t CUpti_ActivityCdpKernel::localMemoryTotal

The total amount of local memory reserved for the kernel, in bytes.

const char* CUpti_ActivityCdpKernel::name

The name of the kernel. This name is shared across all activity records representing the same kernel, and so should not be modified.

uint32_t CUpti_ActivityCdpKernel::parentBlockX

The X-dimension of the parent block.

uint32_t CUpti_ActivityCdpKernel::parentBlockY

The Y-dimension of the parent block.

uint32_t CUpti_ActivityCdpKernel::parentBlockZ

The Z-dimension of the parent block.

int64_t CUpti_ActivityCdpKernel::parentGridId

The grid ID of the parent kernel.

uint64_t CUpti_ActivityCdpKernel::queued

The timestamp when kernel is queued up, in ns. A value of CUPTI_TIMESTAMP_UNKNOWN indicates that the queued time is unknown.

uint16_t CUpti_ActivityCdpKernel::registersPerThread

The number of registers required for each thread executing the kernel.

uint8_t CUpti_ActivityCdpKernel::requested

The cache configuration requested by the kernel. The value is one of the CUfunc_cache enumeration values from cuda.h.

uint8_t CUpti_ActivityCdpKernel::sharedMemoryConfig

The shared memory configuration used for the kernel. The value is one of the CUsharedconfig enumeration values from cuda.h.

uint64_t CUpti_ActivityCdpKernel::start

The start timestamp for the kernel execution, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the kernel.

int32_t CUpti_ActivityCdpKernel::staticSharedMemory

The static shared memory allocated for the kernel, in bytes.

uint32_t CUpti_ActivityCdpKernel::streamId

The ID of the stream where the kernel is executing.

uint64_t CUpti_ActivityCdpKernel::submitted

The timestamp when kernel is submitted to the gpu, in ns. A value of CUPTI_TIMESTAMP_UNKNOWN indicates that the submission time is unknown.